import { DependencyList } from 'react';
import { IGraphqlQueryOptions, IGraphqlQueryStoreParams } from '@proscom/prostore-apollo';
import { ApolloClient } from 'apollo-client';
export interface IUseGraphqlQueryParams<Vars, Data> {
    client?: string | ApolloClient<any>;
    queryOptions?: IGraphqlQueryStoreParams<Vars, Data>;
    variables?: Vars;
    options?: IGraphqlQueryOptions<Vars>;
}
export declare function useGraphqlQuery<Vars, Data>({ client, queryOptions, variables, options }: IUseGraphqlQueryParams<Vars, Data>): import("@proscom/prostore-react").UseRequestStoreResult<import("@proscom/prostore").IRequestState<Vars, Data>>;
export interface IUseGraphQueryVarsParams<Vars, Data> extends IUseGraphqlQueryParams<Vars, Data> {
    variableCreator: [() => Vars, DependencyList];
}
export declare function useGraphqlQueryVars<Vars, Data>({ variableCreator, ...queryProps }: IUseGraphQueryVarsParams<Vars, Data>): import("@proscom/prostore-react").UseRequestStoreResult<import("@proscom/prostore").IRequestState<Vars, Data>>;
